Get catalog schemas
curl --request GET \
--url https://api.example.com/api/metastore/catalogs/{catalog_name}/schemas \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/metastore/catalogs/{catalog_name}/schemas"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/metastore/catalogs/{catalog_name}/schemas', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"schemas": [
"<string>"
]
}{
"error": "<string>",
"code": 500
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Catalogs
Get catalog schemas
Get schemas in catalog.
GET
/
api
/
metastore
/
catalogs
/
{catalog_name}
/
schemas
Get catalog schemas
Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Name of the catalog to retrieve schemas for.
Response
Data retrieved successfully.
List of schema names within a catalog.
Was this page helpful?
⌘I

